package com.aplusinformatique.aplusmanager.Services;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

import com.aplusinformatique.aplusmanager.Classes.Destinataire;
import com.aplusinformatique.aplusmanager.Tools.Global;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

public class AjouterDestinataires extends Service {

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public void onStart(Intent intent, int startId) {
        super.onStart(intent, startId);

        if (intent.getExtras() != null) {
            if (intent.getExtras().containsKey("destinataires")) {
                Gson gson = new Gson();
                Type type = new TypeToken<List<Destinataire>>() {
                }.getType();

                Log.d("Destinataires", "list json : " + intent.getExtras().getString("destinataires"));

                ArrayList<Destinataire> nouveaux_destinataires = gson.fromJson(intent.getExtras().getString("destinataires"), type);

                for (Destinataire d : nouveaux_destinataires) {
                    Global.ajouterDestinataire(d);
                }

                Log.d("Destinataires", "count : " + Global.destinaires.size());
            }
        }
    }
}
